Files
bsdports/xapp/libwxWidget/files/patch-x-configure
2019-12-26 07:26:06 +00:00

289 lines
14 KiB
Plaintext

--- ./configure.orig 2011-03-22 13:59:37.000000000 +0200
+++ ./configure 2015-02-27 20:11:20.000000000 +0200
@@ -202,14 +202,14 @@
rm -f conf$$ conf$$.exe conf$$.file
echo >conf$$.file
-if ln -s conf$$.file conf$$ 2>/dev/null; then
+if ln -sff conf$$.file conf$$ 2>/dev/null; then
# We could just check for DJGPP; but this test a) works b) is more generic
# and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
if test -f conf$$.exe; then
# Don't use ln at all; we don't have any links
as_ln_s='cp -p'
else
- as_ln_s='ln -s'
+ as_ln_s='ln -sff'
fi
elif ln conf$$.file conf$$ 2>/dev/null; then
as_ln_s=ln
@@ -16801,10 +16801,10 @@
" >&2;}
{ (exit 1); exit 1; }; }
fi fi
-echo "$as_me:$LINENO: checking whether ln -s works" >&5
-echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking whether ln -sff works" >&5
+echo $ECHO_N "checking whether ln -sff works... $ECHO_C" >&6
LN_S=$as_ln_s
-if test "$LN_S" = "ln -s"; then
+if test "$LN_S" = "ln -sff"; then
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
else
@@ -27971,12 +27971,12 @@
enable_gtktest=yes
fi;
- pkg_config_args=gtk+-2.0
+ pkg_config_args=gtk+
for module in . $GTK_MODULES
do
case "$module" in
gthread)
- pkg_config_args="$pkg_config_args gthread-2.0"
+ pkg_config_args="$pkg_config_args gthread"
;;
esac
done
@@ -28057,11 +28057,11 @@
if test x"$no_gtk" = x ; then
GTK_CFLAGS=`$PKG_CONFIG $pkg_config_args --cflags`
GTK_LIBS=`$PKG_CONFIG $pkg_config_args --libs`
- gtk_config_major_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
+ gtk_config_major_version=`$PKG_CONFIG --modversion gtk+ | \
sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
- gtk_config_minor_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
+ gtk_config_minor_version=`$PKG_CONFIG --modversion gtk+ | \
sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
- gtk_config_micro_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
+ gtk_config_micro_version=`$PKG_CONFIG --modversion gtk+ | \
sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
if test "x$enable_gtktest" = "xyes" ; then
ac_save_CFLAGS="$CFLAGS"
@@ -28102,7 +28102,7 @@
(gtk_minor_version != $gtk_config_minor_version) ||
(gtk_micro_version != $gtk_config_micro_version))
{
- printf("\n*** 'pkg-config --modversion gtk+-2.0' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n",
+ printf("\n*** 'pkg-config --modversion gtk+' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n",
$gtk_config_major_version, $gtk_config_minor_version, $gtk_config_micro_version,
gtk_major_version, gtk_minor_version, gtk_micro_version);
printf ("*** was found! If pkg-config was correct, then it is best\n");
@@ -28939,18 +28939,18 @@
;;
*) { { echo "$as_me:$LINENO: error:
The development files for GTK+ were not found. For GTK+ 2, please
-ensure that pkg-config is in the path and that gtk+-2.0.pc is
+ensure that pkg-config is in the path and that gtk+.pc is
installed. For GTK+ 1.2 please check that gtk-config is in the path,
and that the version is 1.2.3 or above. Also check that the
-libraries returned by 'pkg-config gtk+-2.0 --libs' or 'gtk-config
+libraries returned by 'pkg-config gtk+ --libs' or 'gtk-config
--libs' are in the LD_LIBRARY_PATH or equivalent.
" >&5
echo "$as_me: error:
The development files for GTK+ were not found. For GTK+ 2, please
-ensure that pkg-config is in the path and that gtk+-2.0.pc is
+ensure that pkg-config is in the path and that gtk+.pc is
installed. For GTK+ 1.2 please check that gtk-config is in the path,
and that the version is 1.2.3 or above. Also check that the
-libraries returned by 'pkg-config gtk+-2.0 --libs' or 'gtk-config
+libraries returned by 'pkg-config gtk+ --libs' or 'gtk-config
--libs' are in the LD_LIBRARY_PATH or equivalent.
" >&2;}
{ (exit 1); exit 1; }; }
@@ -33874,9 +33874,9 @@
WX_VERSION_TAG=`echo WX${lib_unicode_suffix}${lib_debug_suffix}${WX_LIB_FLAVOUR}_${WX_RELEASE} | tr '[a-z]' '[A-Z]'`
-TOOLCHAIN_NAME="${TOOLKIT_DIR}${TOOLKIT_VERSION}${WIDGET_SET}${lib_unicode_suffix}${lib_debug_suffix}${WX_LIB_FLAVOUR}-${WX_RELEASE}"
+TOOLCHAIN_NAME="${TOOLKIT_DIR}${TOOLKIT_VERSION}${WIDGET_SET}${lib_unicode_suffix}${lib_debug_suffix}${WX_LIB_FLAVOUR}"
-TOOLCHAIN_FULLNAME="${TOOLKIT_DIR}${TOOLKIT_VERSION}${WIDGET_SET}-${WX_CHARTYPE}-${WX_DEBUGTYPE}${config_linkage_component}-${WX_RELEASE}${WX_FLAVOUR}"
+TOOLCHAIN_FULLNAME="${TOOLKIT_DIR}${TOOLKIT_VERSION}${WIDGET_SET}-${WX_CHARTYPE}-${WX_DEBUGTYPE}${config_linkage_component}${WX_FLAVOUR}"
if test "$cross_compiling" = "yes"; then
HOST_SUFFIX="-$host_alias"
@@ -43502,12 +43502,12 @@
pkg_cv_GNOMEVFS_CFLAGS="$GNOMEVFS_CFLAGS"
else
if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gnome-vfs-2.0 >= 2.0\"") >&5
- ($PKG_CONFIG --exists --print-errors "gnome-vfs-2.0 >= 2.0") 2>&5
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gnome-vfs >= 2.0\"") >&5
+ ($PKG_CONFIG --exists --print-errors "gnome-vfs >= 2.0") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_GNOMEVFS_CFLAGS=`$PKG_CONFIG --cflags "gnome-vfs-2.0 >= 2.0" 2>/dev/null`
+ pkg_cv_GNOMEVFS_CFLAGS=`$PKG_CONFIG --cflags "gnome-vfs >= 2.0" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -43520,12 +43520,12 @@
pkg_cv_GNOMEVFS_LIBS="$GNOMEVFS_LIBS"
else
if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gnome-vfs-2.0 >= 2.0\"") >&5
- ($PKG_CONFIG --exists --print-errors "gnome-vfs-2.0 >= 2.0") 2>&5
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gnome-vfs >= 2.0\"") >&5
+ ($PKG_CONFIG --exists --print-errors "gnome-vfs >= 2.0") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_GNOMEVFS_LIBS=`$PKG_CONFIG --libs "gnome-vfs-2.0 >= 2.0" 2>/dev/null`
+ pkg_cv_GNOMEVFS_LIBS=`$PKG_CONFIG --libs "gnome-vfs >= 2.0" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -43544,9 +43544,9 @@
_pkg_short_errors_supported=no
fi
if test $_pkg_short_errors_supported = yes; then
- GNOMEVFS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "gnome-vfs-2.0 >= 2.0"`
+ GNOMEVFS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "gnome-vfs >= 2.0"`
else
- GNOMEVFS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gnome-vfs-2.0 >= 2.0"`
+ GNOMEVFS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gnome-vfs >= 2.0"`
fi
# Put the nasty error message in config.log where it belongs
echo "$GNOMEVFS_PKG_ERRORS" >&5
@@ -47160,12 +47160,12 @@
pkg_cv_GST_CFLAGS="$GST_CFLAGS"
else
if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gstreamer-\$GST_VERSION gstreamer-plugins-base-\$GST_VERSION gconf-2.0\"") >&5
- ($PKG_CONFIG --exists --print-errors "gstreamer-$GST_VERSION gstreamer-plugins-base-$GST_VERSION gconf-2.0") 2>&5
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gstreamer gstreamer-plugins-base gconf\"") >&5
+ ($PKG_CONFIG --exists --print-errors "gstreamer gstreamer-plugins-base gconf") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_GST_CFLAGS=`$PKG_CONFIG --cflags "gstreamer-$GST_VERSION gstreamer-plugins-base-$GST_VERSION gconf-2.0" 2>/dev/null`
+ pkg_cv_GST_CFLAGS=`$PKG_CONFIG --cflags "gstreamer gstreamer-plugins-base gconf" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -47178,12 +47178,12 @@
pkg_cv_GST_LIBS="$GST_LIBS"
else
if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gstreamer-\$GST_VERSION gstreamer-plugins-base-\$GST_VERSION gconf-2.0\"") >&5
- ($PKG_CONFIG --exists --print-errors "gstreamer-$GST_VERSION gstreamer-plugins-base-$GST_VERSION gconf-2.0") 2>&5
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gstreamer gstreamer-plugins-base gconf\"") >&5
+ ($PKG_CONFIG --exists --print-errors "gstreamer gstreamer-plugins-base gconf") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_GST_LIBS=`$PKG_CONFIG --libs "gstreamer-$GST_VERSION gstreamer-plugins-base-$GST_VERSION gconf-2.0" 2>/dev/null`
+ pkg_cv_GST_LIBS=`$PKG_CONFIG --libs "gstreamer gstreamer-plugins-base gconf" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -47202,9 +47202,9 @@
_pkg_short_errors_supported=no
fi
if test $_pkg_short_errors_supported = yes; then
- GST_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "gstreamer-$GST_VERSION gstreamer-plugins-base-$GST_VERSION gconf-2.0"`
+ GST_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "gstreamer gstreamer-plugins-base gconf"`
else
- GST_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gstreamer-$GST_VERSION gstreamer-plugins-base-$GST_VERSION gconf-2.0"`
+ GST_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gstreamer gstreamer-plugins-base gconf"`
fi
# Put the nasty error message in config.log where it belongs
echo "$GST_PKG_ERRORS" >&5
@@ -47229,7 +47229,7 @@
echo "${ECHO_T}yes" >&6
wxUSE_GSTREAMER="yes"
- GST_LIBS="$GST_LIBS -lgstinterfaces-$GST_VERSION"
+ GST_LIBS="$GST_LIBS -lgstinterfaces"
fi
else
@@ -47248,12 +47248,12 @@
pkg_cv_GST_CFLAGS="$GST_CFLAGS"
else
if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gstreamer-\$GST_VERSION gstreamer-interfaces-\$GST_VERSION gstreamer-gconf-\$GST_VERSION\"") >&5
- ($PKG_CONFIG --exists --print-errors "gstreamer-$GST_VERSION gstreamer-interfaces-$GST_VERSION gstreamer-gconf-$GST_VERSION") 2>&5
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gstreamer gstreamer-interfaces gstreamer-gconf\"") >&5
+ ($PKG_CONFIG --exists --print-errors "gstreamer gstreamer-interfaces gstreamer-gconf") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_GST_CFLAGS=`$PKG_CONFIG --cflags "gstreamer-$GST_VERSION gstreamer-interfaces-$GST_VERSION gstreamer-gconf-$GST_VERSION" 2>/dev/null`
+ pkg_cv_GST_CFLAGS=`$PKG_CONFIG --cflags "gstreamer gstreamer-interfaces gstreamer-gconf" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -47266,12 +47266,12 @@
pkg_cv_GST_LIBS="$GST_LIBS"
else
if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gstreamer-\$GST_VERSION gstreamer-interfaces-\$GST_VERSION gstreamer-gconf-\$GST_VERSION\"") >&5
- ($PKG_CONFIG --exists --print-errors "gstreamer-$GST_VERSION gstreamer-interfaces-$GST_VERSION gstreamer-gconf-$GST_VERSION") 2>&5
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gstreamer gstreamer-interfaces gstreamer-gconf\"") >&5
+ ($PKG_CONFIG --exists --print-errors "gstreamer gstreamer-interfaces gstreamer-gconf") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_GST_LIBS=`$PKG_CONFIG --libs "gstreamer-$GST_VERSION gstreamer-interfaces-$GST_VERSION gstreamer-gconf-$GST_VERSION" 2>/dev/null`
+ pkg_cv_GST_LIBS=`$PKG_CONFIG --libs "gstreamer gstreamer-interfaces gstreamer-gconf" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -47290,9 +47290,9 @@
_pkg_short_errors_supported=no
fi
if test $_pkg_short_errors_supported = yes; then
- GST_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "gstreamer-$GST_VERSION gstreamer-interfaces-$GST_VERSION gstreamer-gconf-$GST_VERSION"`
+ GST_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "gstreamer gstreamer-interfaces gstreamer-gconf"`
else
- GST_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gstreamer-$GST_VERSION gstreamer-interfaces-$GST_VERSION gstreamer-gconf-$GST_VERSION"`
+ GST_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gstreamer gstreamer-interfaces gstreamer-gconf"`
fi
# Put the nasty error message in config.log where it belongs
echo "$GST_PKG_ERRORS" >&5
@@ -47535,7 +47535,7 @@
fi
for i in $wxconfig_3rdparty ; do
- WXCONFIG_LIBS="-lwx${i}${lib_debug_suffix}${WX_LIB_FLAVOUR}-${WX_RELEASE}${HOST_SUFFIX} $WXCONFIG_LIBS"
+ WXCONFIG_LIBS="-lwx${i}${lib_debug_suffix}${WX_LIB_FLAVOUR}${HOST_SUFFIX} $WXCONFIG_LIBS"
done
@@ -47895,10 +47895,10 @@
test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
- echo "$as_me:$LINENO: checking whether ln -s works" >&5
-echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
+ echo "$as_me:$LINENO: checking whether ln -sff works" >&5
+echo $ECHO_N "checking whether ln -sff works... $ECHO_C" >&6
LN_S=$as_ln_s
-if test "$LN_S" = "ln -s"; then
+if test "$LN_S" = "ln -sff"; then
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
else
@@ -51330,14 +51330,14 @@
rm -f conf$$ conf$$.exe conf$$.file
echo >conf$$.file
-if ln -s conf$$.file conf$$ 2>/dev/null; then
+if ln -sff conf$$.file conf$$ 2>/dev/null; then
# We could just check for DJGPP; but this test a) works b) is more generic
# and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
if test -f conf$$.exe; then
# Don't use ln at all; we don't have any links
as_ln_s='cp -p'
else
- as_ln_s='ln -s'
+ as_ln_s='ln -sff'
fi
elif ln conf$$.file conf$$ 2>/dev/null; then
as_ln_s=ln